Bug 1112045 - freecad needs qt-assistant
Summary: freecad needs qt-assistant
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-23 02:25 UTC by Przemek Klosowski
Modified: 2014-07-04 12:30 UTC (History)
3 users (show)

Fixed In Version: freecad-0.13-10.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-04 12:30:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Przemek Klosowski 2014-06-23 02:25:37 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Przemek Klosowski 2014-06-23 02:34:19 UTC
[apologies for empty Description---I got caught AGAIN by premature submission while filling out the new bugzilla entry form. I raised the issue and it was declined. Anyway, here's the description]

FreeCAD requires qt-assistant for browsing local help. It is provided by the qt-assistant package, which is not required by the freecad package. 

version:
 qt-assistant.x86_64-4.8.6-9.fc20                                                 freecad-0.13-7.fc20

Steps to reproduce:
1. install freecad
2. run freecad, select Help->Help  or F1

Actual result: error message about not being able to run 
/usr/lib64/qt4/bin/assistant

Expected result: help window

Comment 2 Przemek Klosowski 2014-06-23 02:34:40 UTC
After 'sudo yum install qt-assistant' the help works as expected

Comment 3 John Morris 2014-06-23 17:36:51 UTC
(On el6, qt-assistant is provided by the qt-x11 package.)

I'll add the package dep.  Thanks for the report!

Comment 4 Fedora Update System 2014-06-25 04:01:49 UTC
freecad-0.13-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/freecad-0.13-10.el6

Comment 5 Fedora Update System 2014-06-25 04:02:05 UTC
freecad-0.13-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/freecad-0.13-10.fc20

Comment 6 lnie 2014-06-25 08:36:56 UTC
freecad-0.13-10.fc20 works

Comment 7 Fedora Update System 2014-06-25 19:59:44 UTC
Package freecad-0.13-10.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing freecad-0.13-10.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-1727/freecad-0.13-10.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-07-04 12:30:54 UTC
freecad-0.13-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.